import request from '@/utils/request'

// 查询列表
export function queryList(params) {
  return request({
    url: '/ysgxlog/select',
    method: 'get',
    params
  })
}
// 添加基础信息接口
export function add(data) {
  return request({
    url: '/ysgxlog/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 根据id查询基础信息接口
export function getDetailById(id) {
  return request({
    url: '/ysgxlog/detail/' + id,
    method: 'get'
  })
}
// 编辑基础信息接口
export function updataInfo(data) {
  return request({
    url: '/ysgxlog/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 根据key值查询数据字典数据
export function getDictData(params) {
  return request({
    url: '/wbapply/queryDict',
    method: 'get',
    params
  })
}